Bug 429254 - (CVE-2006-1329) CVE-2006-1329 jabberd SASL DoS
CVE-2006-1329 jabberd SASL DoS
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
public=20060309,impact=moderate
: Security
Depends On: 449336 430748 430749 430750 430751 430752 430754 430899 449337
Blocks: 444136
  Show dependency treegraph
 
Reported: 2008-01-18 04:43 EST by Mark J. Cox (Product Security)
Modified: 2016-06-10 16:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-10 16:29:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream Patch (1.01 KB, patch)
2008-01-18 04:48 EST, Mark J. Cox (Product Security)
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2008-01-18 04:43:44 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2006-1329 to the following vulnerability:

The SASL negotiation in Jabber Studio jabberd before 2.0s11 allows remote attackers to cause a denial of service (
"
c2s segfault
"
) by sending a 
"
response stanza before an auth stanza
"
.

References:

http://article.gmane.org/gmane.network.jabber.admin/27372
http://www.securityfocus.com/bid/17155
http://www.frsirt.com/english/advisories/2006/1009
http://secunia.com/advisories/19281
http://xforce.iss.net/xforce/xfdb/25334
Comment 1 Mark J. Cox (Product Security) 2008-01-18 04:48:30 EST
Created attachment 292120 [details]
Upstream Patch

Patch found by diff of s11 to s10
Comment 2 Adrian Reber 2008-01-18 05:13:49 EST
F-7 and F-8 are already at 2.0s11 and rawhide uses 2.1.21 so that this is fixed
since 2006:

* Tue Apr 04 2006 Adrian Reber <adrian@lisas.de> - 2.0-0.s11.9
- updated to 2.0-0.s11
Comment 4 Miroslav Suchý 2008-01-30 07:05:16 EST
Since all child bug use same source I track code change here.
commited into trunk as rev 136306.

Note You need to log in before you can comment on or make changes to this bug.